POST
/api/v1/webhooksإنشاء اشتراك Webhook
النطاق:
webhooks:manageBearer tokenالبيئات
- SANDBOX
- بيئة اختبار محلية أو مصرح بها؛ لا يوجد حاليًا Sandbox عام مستضاف.
- PRODUCTION
https://getsas.xyz/api/v1/webhooks
الطلب
Headers
| Header | Value | مطلوب |
|---|---|---|
| Authorization | Bearer <ACCESS_TOKEN> | نعم |
| Content-Type | application/json | نعم |
أمثلة الكود
curl --request POST 'https://getsas.xyz/api/v1/webhooks' \
--header 'Authorization: Bearer <ACCESS_TOKEN>'
--header 'Content-Type: application/json'
--data '{"event_type":"orders.created","endpoint_url":"https://webhooks.example.test/events"}'الاستجابة
201 Created or reactivated subscription. The signing secret is returned once in this response.
{
"description": "Created or reactivated subscription. The signing secret is returned once in this response.",
"headers": {
"RateLimit-Limit": {
"$ref": "#/components/headers/RateLimitLimit"
},
"RateLimit-Remaining": {
"$ref": "#/components/headers/RateLimitRemaining"
},
"RateLimit-Reset": {
"$ref": "#/components/headers/RateLimitReset"
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/WebhookCreateResponse"
}
}
}
}الأخطاء
| 400 | Invalid request |
| 401 | Missing or invalid access token |
| 403 | Authenticated webhook subscription creation was not authorized by the exact installed version |
| 404 | Marketplace API feature is not enabled for this environment |
| 413 | The streamed request body exceeds 16,384 encoded bytes; it is rejected before JSON parsing |
| 429 | Fixed-window request limit exceeded for this installation and route key |
| 500 | Internal API failure |
| 503 | Rate-limit service unavailable; request is rejected closed |